> This page is for Schema Service, version v3 (latest) (default).
> For other versions, use one of these documentation indexes:
> - v3 (latest) (default): https://autodesk.ferndocs.com/schema/schema-service/v3/llms.txt
> - v2: https://autodesk.ferndocs.com/schema/schema-service/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://autodesk.ferndocs.com/schema/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://autodesk.ferndocs.com/schema/_mcp/server.

# List Tagged Schema

GET https://developer-stg.api.autodesk.com/schema/v3/tag-collections/{tagCollectionId}/resources

Retrieves a list of schema associated with the Tags specified by the ``tagIds`` query string parameters. Additionally, the response lists all other Tag Associations for each schema.

You require **read** access to the library specified in the ``scope`` query string parameter to call this operation.


Reference: https://autodesk.ferndocs.com/schema/schema-service/api-reference/tags-api/tag-associations/get-resources-by-tags

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://developer-stg.api.autodesk.com/schema/v3` (The URL for Staging environment, default)
- `https://developer-dev.api.autodesk.com/schema/v3` (The URL for Development environment)
- `https://developer.api.autodesk.com/schema/v3` (The URL for Production environment)

## Request

### Path parameters

- `tagCollectionId` (string, required)

### Query parameters

- `tagIds` (list of string, required) — An array of Tag IDs. The response will contain only the schemas associated with the specified Tags.
- `offset` (integer, optional) — Specifies the first so many items to exclude from the response. Use this parameter with the ``limit`` query parameter to split the response into multiple pages. To fetch the first page, specify ``offset`` =0 (do not exclude any items). To fetch the second page, specify ``offset`` = value of limit you specified for the first page. So, the Tags Service excludes the items returned on the first page. In general, ``offset`` = ``previous_offset`` + ``previous_limit``.This parameter is 0 by default. The minimum value is 0.
- `limit` (integer, optional) — Specifies the maximum number of items to return in a single page. Use this parameter with the ``offset`` query parameter to split the response into multiple pages. To fetch the first page, specify ``offset`` =0 (do not exclude any items). To fetch the second page, specify ``offset`` = value of limit you specified for the first page. So, the Tags Service excludes the items returned on the first page. In general, ``offset`` = ``previous_offset`` + ``previous_limit``.This parameter is 20 by default. The minimum value is 1 and the maximum value is 50
- `scope` (string, required) — The value used to define the boundary in which the schema associated with the Tag. This parameter can be used and particularly useful when getting the list of Tagged Schema. Valid value must be filled in by the company's name and namespace's name respectively in this pattern: ``company.namespace``

### Headers

- `Region` (enum, optional, default: US) — The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values: - ``US`` - (Default) All requests without a specified region header will be directed to the US region. - ``EMEA`` - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header "region: EMEA" in your API requests.
  - Allowed values: `US`, `EMEA`

## Response

### 200

The requested data was successfully returned.

- `pagination` (PaginationDetails, optional) — Specifies if the response has been split in to multiple pages, and if so the details.
- `results` (list of TagResourceLite, optional)

## Errors

### 400 Bad Request Error

The Autodesk Schema Registry was not able to decipher your request. Check the request body for malformed request syntax or invalid request message framing before you try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 401 Unauthorized Error

The request did not have a valid access token. Obtain a fresh access token and try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 403 Forbidden Error

You do not have permission to perform the operation specified by the request. Contact your LIBRARY_ADMIN and resolve any permission issues before trying this request again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 404 Not Found Error

The requested resource was not found. Verify that the details of the resource you requested are correct before you try again.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

### 429 Too Many Requests Error

You have exceeded the Rate Limit for the requested resource. Check the ``retry-after`` response header and send the request again, after the specified time period has elapsed.

- `type` (string, optional) — UTF-8 encoded string
- `title` (string, optional) — UTF-8 encoded string
- `detail` (string, optional) — User-friendly error message.
- `errors` (list of ErrorDetail, optional) — This property will contains relevant error details.

## Types

### PaginationDetails

Specifies if the response has been split in to multiple pages, and if so the details.

- `limit` (integer, optional) — The maximum number of items you requested for this page.
- `offset` (integer, optional) — The first so many items excluded from the response (typically, because they were returned in previous pages).
- `nextUrl` (string, optional) — The link to the next page. This attribute is not returned for the last page.
- `hasNext` (boolean, optional) — ``true`` : This is not the last page. There is at least one more page to return. ``false`` : This is the last page. There are no more pages to return.
- `totalResults` (double, optional) — The total number of items to be returned.

### TagResourceLite

- `resourceId` (string, optional) — The ID of a schema associated with at least one of the specified Tags.
- `tagsAssociations` (list of TagResourceLiteTagsAssociationsItems, optional) — An array containing a list of Tag Associations of the schema.

### ErrorDetail

Error response model according to the APS standard

- `type` (string, optional) — Specifies the type of the error that occured.
- `title` (string, optional) — Contains a summary of the error.
- `detail` (string, optional) — Contains a detailed description of the error that occured, and sometimes, tips on how to fix the error.

### TagResourceLiteTagsAssociationsItems

- `id` (string, optional) — An ID that uniquely identifies the Tag Association.
- `tagId` (string, optional) — The ID of the Tag associated with the schema.

## Examples

**Response**

```json
{
  "pagination": {
    "limit": 20,
    "offset": 0,
    "nextUrl": "",
    "hasNext": false,
    "totalResults": 3
  },
  "results": [
    {
      "resourceId": "propertySets:unifiedparameters.c544da50cdd5463f81dbdaf15f95baf3:56ac5f4204e64a538e28c0caae489cda-1.0.0",
      "tagsAssociation": [
        {
          "id": "ABXL-13484-DCBP-15017",
          "tagId": "ABVA-50841-HZUG-93173"
        },
        {
          "id": "ABXM-44339-FJRE-67003",
          "tagId": "ABVA-50841-JAZR-07730"
        }
      ]
    },
    {
      "resourceId": "propertySets:unifiedparameters.c544da50cdd5463f81dbdaf15f95baf3:b4af06d0896246e7b8814e530735a87c-1.1.0",
      "tagsAssociation": [
        {
          "id": "ABXN-17523-GVCX-58277",
          "tagId": "ABVA-50841-HZUG-93173"
        },
        {
          "id": "ABXA-86674-FDMA-87831",
          "tagId": "ABVA-50841-JAZR-07730"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python Standard
import requests

url = "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/resources"

querystring = {"tagIds":"[\"string\"]","offset":"0","limit":"20","scope":"scope"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Standard
const url = 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/resources?tagIds=%5B%22string%22%5D&offset=0&limit=20&scope=scope';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Standard
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/resources?tagIds=%5B%22string%22%5D&offset=0&limit=20&scope=scope"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Standard
require 'uri'
require 'net/http'

url = URI("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/resources?tagIds=%5B%22string%22%5D&offset=0&limit=20&scope=scope")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Standard
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/resources?tagIds=%5B%22string%22%5D&offset=0&limit=20&scope=scope")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Standard
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/resources?tagIds=%5B%22string%22%5D&offset=0&limit=20&scope=scope', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Standard
using RestSharp;

var client = new RestClient("https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/resources?tagIds=%5B%22string%22%5D&offset=0&limit=20&scope=scope");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Standard
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://developer-stg.api.autodesk.com/schema/v3/tag-collections/tagCollectionId/resources?tagIds=%5B%22string%22%5D&offset=0&limit=20&scope=scope")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```